## 简介

采用 Gulp 4.0.2 搭建的 js 自动构建任务项目

## 安装使用

请先安装**Node 14 和 Npm**，安装过程略过。

- 安装依赖

```bash
npm i
```

- 运行

```bash
npm run dev
```

- 打包

```bash
npm run build
```

## 目录介绍

- dist：打包结果目录
- src：源码目录
- src/modules：公共 html 目录，此目录的 html 不会出现在打包结果中,此目录的 html 中引入 css 或者 js，请使用绝对路径，如/js/xxx.js /css/xxx.css，其他资源，如图片也是如此
- src/css：css 源码
- src/js：js 源码
- src/static：静态文件，如第三方库，第三方样式等可以放在此处，打包时不会进入文件转换流程，会直接复制到打包结果中
- src/index.html：网站入口
- config.js：打包配置
- gulpfile.js：gulp 构建流程
